View Issue Details

IDProjectCategoryView StatusLast Update
0002047SymmetricDSImprovementpublic2015-01-06 17:27
ReporterelongAssigned Toelong 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version3.7.0 
Target Version3.7.0Fixed in Version3.7.0 
Summary0002047: Add extension service that can read extensions from database
DescriptionReplace the extension manager singleton with an extension service that is accessible from the engine and other services. Create a sym_extension table where extension code can be saved and dynamically added at runtime.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master d423d0be

2014-11-03 16:23:59

erilong

Details Diff
0002047: Add extension service that can read extensions from database
0002047
mod - symmetric-android/src/main/java/org/jumpmind/symmetric/android/AndroidSymmetricEngine.java Diff File
mod - symmetric-android/src/main/java/org/jumpmind/symmetric/android/AndroidTypedPropertiesFactory.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ClientSymmetricEngine.java Diff File
rm - symmetric-client/src/main/java/org/jumpmind/symmetric/ext/ExtensionPointManager.java Diff File
add - symmetric-client/src/main/java/org/jumpmind/symmetric/service/impl/ClientExtensionService.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/util/PropertiesFactoryBean.java Diff File
add - symmetric-client/src/main/java/org/jumpmind/symmetric/util/TypedPropertiesFactory.java Diff File
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/DbExportImportTest.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/ISymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/ITypedPropertiesFactory.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/TableConstants.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/config/IParameterSaveFilter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractSymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/ISymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/load/JavaDatabaseWriterFilter.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/model/Extension.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/ConfigurationChangedDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/JavaDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IAcknowledgeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IDataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IDataService.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IExtensionService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/INodeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IOfflineDetectorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IParameterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IRegistrationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ITransformService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ITriggerRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/AbstractOfflineDetectorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/AbstractParameterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/AcknowledgeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ExtensionService.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ExtensionServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ParameterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/PullService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/PushService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RegistrationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TransformService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/AbstractTransportManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/ITransportManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/http/HttpTransportManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/internal/InternalTransportManager.java Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/route/DataGapRouteReaderTest.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/AbstractDataExtractorServiceTest.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/AbstractDataLoaderServiceTest.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/MockParameterService.java Diff File
rm - symmetric-core/src/test/java/org/jumpmind/symmetric/transport/AbstractTransportManagerTest.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/transform/JavaColumnTransform.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/util/SimpleClassCompiler.java Diff File

SymmetricDS: master 03bf2536

2014-11-04 09:04:51

erilong

Details Diff
0002047: Add extension service that can read extensions from database
0002047
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/DbExportImportTest.java Diff File

SymmetricDS: master ded7ddad

2014-11-05 09:28:41

erilong

Details Diff
0002047: Add extension service that can read extensions from database
0002047
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ExtensionService.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/util/SimpleClassCompiler.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/util/SimpleClassCompilerException.java Diff File

SymmetricDS: master 1c21ef38

2014-11-05 16:09:59

erilong

Details Diff
0002047: Add extension service that can read extensions from database
0002047
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File

SymmetricDS: master b8c6072e

2014-11-11 12:43:41

erilong

Details Diff
0002047: Add extension service that can read extensions from database
0002047
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/config/TriggerFailureListener.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/job/PushHeartbeatListener.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/load/DefaultDataLoaderFactory.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/AuditTableDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/BshDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/ColumnMatchDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/ConfigurationChangedDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DefaultBatchAlgorithm.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DefaultDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/FileSyncDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/JavaDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/LookupTableDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/NonTransactionalBatchAlgorithm.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/SubSelectDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/TransactionalBatchAlgorithm.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ExtensionService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/util/DefaultNodeIdCreator.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/transform/ColumnsToRowsKeyColumnTransform.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/transform/ColumnsToRowsValueColumnTransform.java Diff File

SymmetricDS: master d729a61c

2014-11-11 13:23:54

erilong

Details Diff
0002047: Add extension service that can read extensions from database
0002047
mod - symmetric-assemble/src/asciidoc/configuration.ad Diff File
add - symmetric-assemble/src/asciidoc/configuration/extensions.ad Diff File

SymmetricDS: master 247d9188

2014-11-12 15:06:46

erilong

Details Diff
0002047: Add configure -> extensions screen
0002047
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/Extension.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IExtensionService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ExtensionService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ExtensionServiceSqlMap.java Diff File

Issue History

Date Modified Username Field Change
2014-11-03 16:21 elong New Issue
2014-11-03 16:21 elong Status new => assigned
2014-11-03 16:21 elong Assigned To => elong
2014-11-03 17:00 Changeset attached => SymmetricDS trunk r8888
2014-11-04 10:00 Changeset attached => SymmetricDS trunk r8891
2014-11-05 10:00 Changeset attached => SymmetricDS trunk r8895
2014-11-05 17:00 Changeset attached => SymmetricDS trunk r8898
2014-11-11 13:00 Changeset attached => SymmetricDS trunk r8924
2014-11-11 14:00 Changeset attached => SymmetricDS trunk r8926
2014-11-12 16:00 Changeset attached => SymmetricDS trunk r8931
2014-11-19 08:46 elong Status assigned => resolved
2014-11-19 08:46 elong Fixed in Version => 3.7.0
2014-11-19 08:46 elong Resolution open => fixed
2015-01-06 17:27 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master 247d9188
2015-07-30 21:49 Changeset attached => SymmetricDS master d729a61c
2015-07-30 21:49 Changeset attached => SymmetricDS master b8c6072e
2015-07-30 21:49 Changeset attached => SymmetricDS master 1c21ef38
2015-07-30 21:49 Changeset attached => SymmetricDS master ded7ddad
2015-07-30 21:49 Changeset attached => SymmetricDS master 03bf2536
2015-07-30 21:49 Changeset attached => SymmetricDS master d423d0be